/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.configuration.admin.menu;

import java.util.Dictionary;
import java.util.Locale;

import javax.portlet.PortletRequest;
import javax.portlet.PortletResponse;

/**
 * @author Drew Brokke  Contributes a menu item to be displayed in the
 *         auto-generated of a particular configuration. Implementations must be
 *         registered as a ConfigurationMenuItem service, and must have the
 *         property "configuration.pid" whose value matches the ID of the
 *         corresponding configuration interface (usually the fully qualified
 *         class name).
 * @review
 */
public interface ConfigurationMenuItem {

	public String getLabel(Locale locale);

	public String getURL(
		PortletRequest portletRequest, PortletResponse portletResponse,
		String pid, String factoryPid, Dictionary<String, Object> properties);

}